Subject: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: martin rudalics <[email-masked]>
Date: Wed, 19 Apr 2017 09:26:23 +0200

> New patch attached.

Thank you.  Building works now.  Invoking a "non-installed" emacs gets
me

2017-04-19 09:16:03.808 emacs[5292] FTC_ImageCache_Lookup() failed with error 00000006
2017-04-19 09:16:03.921 emacs[5292] FTC_ImageCache_Lookup() failed with error 00000006
2017-04-19 09:16:03.953 emacs[5292] KeySym NoSymbol not found; disabling GSSecondControlKey
2017-04-19 09:16:03.953 emacs[5292] KeySym NoSymbol not found; disabling GSFirstCommandKey
2017-04-19 09:16:03.953 emacs[5292] KeySym NoSymbol not found; disabling GSSecondCommandKey

which is normal here.  If at this time I do within the just started Emacs

(set-frame-parameter nil 'undecorated t)

I get

/home/martin/emacs-git/trunk/obj-ns/src/emacs: Uncaught exception NSInvalidArgumentException, reason: -[EmacsFSWindow setStyleMask:]: unrecognized selector sent to instance 0x30a37d0

Setting the 'parent-frame' parameter of a frame has no impact, neither
when I do it during frame creation not when doing it at any later time.

martin